{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/connected.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="divMain">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="text-white">Albums à la une !</h1>
                        <div class="text-white">
                            <ul class="list-inline">
                                {% for elem in albums %}
                                {% set artiste = funcArtist(elem.auteur_id) %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/album/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse"
                                            title="{{elem.titre}} - {{artiste.nom}}">
                                            <div class="card-body"><img src="{{elem.urlImage}}"
                                                style="max-width: 12em;min-height: 16em;">
                                                <p class="text-center card-text" style="text-overflow: hidden;">
                                                    {{elem.titre}}<br>{{artiste.nom}}<br>
                                                </p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <h1 class="text-white">Artistes à la une !</h1>
                        <div class="text-white">
                            <ul class="list-inline">
                                {% for elem in artistes %}
                                <li class="list-inline-item" style="padding-bottom:0.5em;">
                                    <a class="text-white" href="/connected/artiste/{{elem.id}}">
                                        <div class="card bg-dark" data-bs-hover-animate="pulse">
                                            <div class="card-body" style="width: 10em;
                                            height: 5em;">
                                                <p class="text-center card-text" style="text-overflow: hidden;">
                                                    {{elem.nom}}<br></p>
                                            </div>
                                        </div>
                                    </a>
                                </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }

        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}